Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03041 Graphics Minor Always Mar 17, 2009, 15:49 Jun 26, 2017, 02:28
Tester Smitdogg View Status Public Platform
Assigned To palazzol Resolution Fixed OS
Status [?] Resolved Driver starshp1.cpp
Version 0.130 Fixed in Version 0.187 Build
Summary 03041: starshp1, starshpp: Speed and graphics information from the real machine.
Description If you check this video (skip to about 1:03) it shows Starship 1. As noted in the source, it looks like in MAME the speed is too slow (compare the speed of the shots). But also, when the photon torpedoes are launched, there is a shaking effect on the enemy ships that it looks like MAME is missing?
Steps To Reproduce
Additional Information
Flags Verified with Original, Noted in Source
Regression Version
Affected Sets / Systems starshp1, starshpp
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
6
User avatar
No.03993
Gyrovision
Tester
Mar 17, 2009, 18:29
edited on: Mar 17, 2009, 18:29
During the Photon Torpedo explosion effect on the enemy ships, you can see a VERY FAST left-to-right left-to-right flipping effect on the enemy ships as they are exploding. Good observation Smitdogg! This effect is missing in MAME.

User avatar
No.03998
Fortuna
Tester
Mar 18, 2009, 22:48
yeah, great eyes, this effect not see never in the game
User avatar
No.04000
Phil Bennett
Developer
Mar 19, 2009, 12:06
Looks like there's a hack to patch out legitimate game behaviour :)

WRITE8_HANDLER( starshp1_sspic_w )
{
/*
     * Some mysterious game code at address $2CCE is causing
     * erratic images in the target explosion sequence. The
     * following condition is a hack to filter these images.
     */

if (data != 0x87)
starshp1_ship_picture = data;
}

Removing that produces the effect seen in the video. However, no matter what type of ship you destroy, one of the explosion frames is always the same:

http://philwip.mameworld.info/ssa.png
http://philwip.mameworld.info/ssb.png

I've asked a friend to check this behaviour against his machine.


As for the slow game speed, it's noted in the source. Whoever wrote the driver couldn't make sense of the video timing in the schematics (and neither can I!).
User avatar
No.04001
Smitdogg
Moderator
Mar 19, 2009, 16:42
OK thanks for looking into this, I updated my report slightly.
User avatar
No.13916
palazzol
Senior Tester
Jun 18, 2017, 23:16
I believe I have fixed all the issues cited here in MAME 0.186, but I don't have privileges to mark it closed here.
User avatar
No.13917
B2K24
Moderator
Jun 19, 2017, 01:06
I thought it was still too slow until I realized button 3 activates a faster speed like a turbo effect.

I'll mark it closed and thank you for fixing it.